/* -*- mode: C++; tab-width: 4 -*- */
/* ===================================================================== *\
	Copyright (c) 1998-2000 Palm, Inc. or its subsidiaries.
	All rights reserved.

	This file is part of the Palm OS Emulator.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
\* ===================================================================== */

#ifndef EmRegsVZTemp_h
#define EmRegsVZTemp_h

#include "EmRegsVZ.h"
#include "EmPalmStructs.h"	// EmProxyUsbHwrType



class EmRegsVZGenericMono : public EmRegsVZ
{
	public:
								EmRegsVZGenericMono		(void);
		virtual					~EmRegsVZGenericMono		(void);

		virtual Bool			GetLCDScreenOn			(void);
		virtual Bool			GetLCDBacklightOn		(void);
		virtual Bool			GetSerialPortOn			(int uartNum);
		virtual Bool			GetVibrateOn			(void);
		virtual uint16			GetLEDState				(void);

		virtual uint8			GetPortInputValue		(int);
		virtual uint8			GetPortInternalValue	(int);
		virtual void			GetKeyInfo				(int* numRows, int* numCols,
														 uint16* keyMap, Bool* rows);

	protected:
		virtual EmSPISlave*		GetSPISlave				(void);

	private:
		EmSPISlave*				fSPISlaveADC;
};


class EmRegsVZGenericColor : public EmRegsVZGenericMono
{
	public:
		virtual Bool			GetLCDScreenOn			(void);
		virtual Bool			GetLCDBacklightOn		(void);
		virtual Bool			GetLCDHasFrame			(void);
		virtual void			GetLCDBeginEnd			(emuptr& begin, emuptr& end);
		virtual void			GetLCDScanlines			(EmScreenUpdateInfo& info);
};


class EmRegsUSBPhilipsPDIUSBD12 : public EmRegs
{
	public:
								EmRegsUSBPhilipsPDIUSBD12		(emuptr);
		virtual					~EmRegsUSBPhilipsPDIUSBD12		(void);

		virtual void			Initialize			(void);
		virtual void			Reset				(Bool hardwareReset);
		virtual void			Save				(SessionFile&);
		virtual void			Load				(SessionFile&);
		virtual void			Dispose				(void);

		virtual void			SetSubBankHandlers	(void);
		virtual uint8*			GetRealAddress		(emuptr address);
		virtual emuptr			GetAddressStart		(void);
		virtual uint32			GetAddressRange		(void);

	private:
		emuptr					fBaseAddr;
		EmProxyUsbHwrType		fRegs;
};


#endif	/* EmRegsVZTemp_h */
